https://pulumi.com logo
#azure
Title
# azure
f

future-breakfast-19791

07/21/2023, 2:08 PM
Hello!. I have upgraded some of our C# IaC projects to the latest Pulumi (Pulumi: 3.55.1 and Pulumi.Azure: 5.45.0) and when trying to do 'pulumi up' I am getting the following conflicts with the vm backup policies:
Copy code
Type                              Name                                 Status           Info
     pulumi:pulumi:Stack               Ylp.IaC.ProductHosting-qa                             
     ├─ azure:backup:PolicyVM          rsvpol-qa-backup-eun-vmbackuppolicy  **failed**       6 errors
 ~   └─ pulumi:providers:azure-native  shared-services                      updated (4s)     [diff: ~version]
 
Diagnostics:
  azure:backup:PolicyVM (rsvpol-qa-backup-eun-vmbackuppolicy):
    error: azure:backup/policyVM:PolicyVM resource 'rsvpol-qa-backup-eun-vmbackuppolicy' has a problem: Conflicting configuration arguments: "retention_yearly.0.include_last_days": conflicts with retention_yearly.0.weeks. Examine values at 'rsvpol-qa-backup-eun-vmbackuppolicy.retentionYearly.0.includeLastDays'.
    error: azure:backup/policyVM:PolicyVM resource 'rsvpol-qa-backup-eun-vmbackuppolicy' has a problem: Conflicting configuration arguments: "retention_yearly.0.weeks": conflicts with retention_yearly.0.include_last_days. Examine values at 'rsvpol-qa-backup-eun-vmbackuppolicy.retentionYearly.0.weeks'.
    error: azure:backup/policyVM:PolicyVM resource 'rsvpol-qa-backup-eun-vmbackuppolicy' has a problem: Conflicting configuration arguments: "retention_yearly.0.weekdays": conflicts with retention_yearly.0.include_last_days. Examine values at 'rsvpol-qa-backup-eun-vmbackuppolicy.retentionYearly.0.weekdays'.
    error: azure:backup/policyVM:PolicyVM resource 'rsvpol-qa-backup-eun-vmbackuppolicy' has a problem: Conflicting configuration arguments: "retention_monthly.0.weeks": conflicts with retention_monthly.0.include_last_days. Examine values at 'rsvpol-qa-backup-eun-vmbackuppolicy.retentionMonthly.0.weeks'.
    error: azure:backup/policyVM:PolicyVM resource 'rsvpol-qa-backup-eun-vmbackuppolicy' has a problem: Conflicting configuration arguments: "retention_monthly.0.weekdays": conflicts with retention_monthly.0.include_last_days. Examine values at 'rsvpol-qa-backup-eun-vmbackuppolicy.retentionMonthly.0.weekdays'.
    error: azure:backup/policyVM:PolicyVM resource 'rsvpol-qa-backup-eun-vmbackuppolicy' has a problem: Conflicting configuration arguments: "retention_monthly.0.include_last_days": conflicts with retention_monthly.0.weeks. Examine values at 'rsvpol-qa-backup-eun-vmbackuppolicy.retentionMonthly.0.includeLastDays'.
Any ideas? Could be a bug? Thanks in advance.
I have played changing the policy configuration but I have not been able to remove the conflicts. The only way has been to downgrade to version 5.43.0 for now.